## rust-yaxpeax-arch 0.3.2

=== Makefile ===
test: build-smoketest test-std test-no-std test-serde-no-std test-colors-no-std test-color-new-no-std test-alloc-no-std

build-smoketest:
	cargo build
	cargo build --no-default-features
	cargo build --no-default-features --target wasm32-wasi

test-std:
	cargo test
test-no-std:
	cargo test --no-default-features
test-serde-no-std:
	cargo test --no-default-features --features "serde"
test-colors-no-std:
	cargo test --no-default-features --features "colors"
test-color-new-no-std:
	cargo test --no-default-features --features "color-new"
test-alloc-no-std:
	cargo test --no-default-features --features "alloc"

## rust-yaxpeax-arch 0.2.7

=== debian/changelog ===
rust-yaxpeax-arch (0.2.7-1) unstable; urgency=medium

  * Package yaxpeax-arch 0.2.7 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 May 2024 13:49:00 +0200

=== debian/control ===
Source: rust-yaxpeax-arch
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-crossterm-0+default-dev <!nocheck>,
 librust-num-traits-0.2-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/yaxpeax-arch]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/yaxpeax-arch
X-Cargo-Crate: yaxpeax-arch
Rules-Requires-Root: no

Package: librust-yaxpeax-arch-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-crossterm-0+default-dev,
 librust-num-traits-0.2-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev
Provides:
 librust-yaxpeax-arch+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.2.7+use-serde-dev (= ${binary:Version})
Description: Fundamental traits to describe an architecture in the yaxpeax project - Rust source code
 Source code for Debianized Rust crate "yaxpeax-arch"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --all-features
Features: test-name=rust-yaxpeax-arch:@
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features address-parse
Features: test-name=librust-yaxpeax-arch-dev:address-parse
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features colors
Features: test-name=librust-yaxpeax-arch-dev:colors
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features crossterm
Features: test-name=librust-yaxpeax-arch-dev:crossterm
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets
Features: test-name=librust-yaxpeax-arch-dev:default
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features serde
Features: test-name=librust-yaxpeax-arch-dev:serde
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features serde_derive
Features: test-name=librust-yaxpeax-arch-dev:serde_derive
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features std
Features: test-name=librust-yaxpeax-arch-dev:std
Depends: dh-cargo (>= 18), librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.2.7 --all-targets --no-default-features --features use-serde
Features: test-name=librust-yaxpeax-arch-dev:use-serde

## rust-yaxpeax-arch 0.3.2

=== debian/changelog ===
rust-yaxpeax-arch (0.3.2-1) unstable; urgency=medium

  * Package yaxpeax-arch 0.3.2 from crates.io using debcargo 2.7.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Nov 2024 23:08:18 +0100

=== debian/control ===
Source: rust-yaxpeax-arch
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-num-traits-0.2-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>,
 librust-crossterm-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/yaxpeax-arch]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/yaxpeax-arch
X-Cargo-Crate: yaxpeax-arch
Rules-Requires-Root: no

Package: librust-yaxpeax-arch-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-crossterm-0+default-dev,
 librust-num-traits-0.2-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev
Provides:
 librust-yaxpeax-arch+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-arch+color-new-dev (= ${binary:Version}),
 librust-yaxpeax-arch+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+color-new-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+color-new-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+address-parse-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+color-new-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+colors-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+crossterm-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+default-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+serde-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+std-dev (= ${binary:Version}),
 librust-yaxpeax-arch-0.3.2+use-serde-dev (= ${binary:Version})
Description: Fundamental traits to describe an architecture in the yaxpeax project - Rust source code
 Source code for Debianized Rust crate "yaxpeax-arch"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --all-features
Features: test-name=rust-yaxpeax-arch:@
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features address-parse
Features: test-name=librust-yaxpeax-arch-dev:address-parse
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features alloc
Features: test-name=librust-yaxpeax-arch-dev:alloc
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features color-new
Features: test-name=librust-yaxpeax-arch-dev:color-new
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features colors
Features: test-name=librust-yaxpeax-arch-dev:colors
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features crossterm
Features: test-name=librust-yaxpeax-arch-dev:crossterm
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets
Features: test-name=librust-yaxpeax-arch-dev:default
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features serde
Features: test-name=librust-yaxpeax-arch-dev:serde
Depends: dh-cargo (>= 31), rustc:native, librust-anyhow-1+default-dev (>= 1.0.41-~~), librust-thiserror-1+default-dev (>= 1.0.26-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-arch 0.3.2 --all-targets --no-default-features --features serde_derive

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/yaxpeax-arch-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/yaxpeax-arch .*/crates/yaxpeax-arch/@ANY_VERSION@/download
